package #1;


import #1.#x.*;
import paraselene.*;
import paraselene.supervisor.*;


/**
 * 遷移元が無い場合の処理ページ。
 */
public class DummyPage extends NullPage {
	private static final long serialVersionUID = 1L;

	/**
	 * コンストラクタ。
	 */
	public DummyPage() {
		super();
	}

	/**
	 * 遷移元ページがない場合のinput。
	 * @param req リクエスト内容。
	 * @param fw 遷移先。
	 * @exception PageException 処理の継続が不可能(ブラウザには500を返す)。
	 */
	public Forward input( RequestParameter req, Forward fw ) throws PageException {
		// fwが直接呼び出してはいけないページであれば、
		// 別のForwardインスタンスを生成してリターンして下さい。
		return fw;
	}
}

